parent
ccb13b9879
commit
0ec0c8e88a
2 changed files with 11 additions and 27 deletions
|
@ -1,21 +0,0 @@
|
|||
--- modules.d/40network/module-setup.sh 2017-08-11 13:44:06.000000000 +0200
|
||||
+++ modules.d/40network/module-setup.sh 2017-12-12 19:47:35.691067368 +0100
|
||||
@@ -4,7 +4,7 @@
|
||||
check() {
|
||||
local _program
|
||||
|
||||
- require_binaries ip dhclient || return 1
|
||||
+ require_binaries ip dhclient sed awk grep || return 1
|
||||
require_any_binary arping arping2 || return 1
|
||||
|
||||
return 255
|
||||
@@ -24,7 +24,7 @@
|
||||
# called by dracut
|
||||
install() {
|
||||
local _arch _i _dir
|
||||
- inst_multiple ip dhclient sed awk
|
||||
+ inst_multiple ip dhclient sed awk grep
|
||||
|
||||
inst_multiple -o arping arping2
|
||||
strstr "$(arping 2>&1)" "ARPing 2" && mv "$initdir/bin/arping" "$initdir/bin/arping2"
|
||||
|
|
@ -1,12 +1,12 @@
|
|||
# Template file for 'dracut'
|
||||
pkgname=dracut
|
||||
version=046
|
||||
revision=2
|
||||
version=047
|
||||
revision=1
|
||||
build_style=configure
|
||||
configure_args="--prefix=/usr --sysconfdir=/etc"
|
||||
hostmakedepends="libxslt docbook-xsl asciidoc pkg-config"
|
||||
hostmakedepends="asciidoc pkg-config"
|
||||
makedepends="libkmod-devel"
|
||||
depends="bash psmisc cpio coreutils"
|
||||
depends="bash coreutils cpio psmisc"
|
||||
conf_files="/etc/dracut.conf"
|
||||
make_dirs="
|
||||
/etc/dracut.conf.d 0755 root root
|
||||
|
@ -14,9 +14,9 @@ make_dirs="
|
|||
homepage="http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html"
|
||||
short_desc="A new initramfs infrastructure"
|
||||
maintainer="Juan RP <xtraeme@voidlinux.eu>"
|
||||
license="GPL-2"
|
||||
license="GPL-2.0-or-later"
|
||||
distfiles="${KERNEL_SITE}/utils/boot/$pkgname/$pkgname-$version.tar.xz"
|
||||
checksum=3cb206abc198811972d452d53e88c32f29dd1b0bb24e35e23b4056aa74824f99
|
||||
checksum=b0afd3bdd886b2f756743c91a00a155da9df0644625b1c565c3d5ef78cd76ab2
|
||||
|
||||
case "$XBPS_TARGET_MACHINE" in
|
||||
*-musl) # Add musl-fts implementation
|
||||
|
@ -30,6 +30,11 @@ do_build() {
|
|||
esac
|
||||
}
|
||||
|
||||
do_check() {
|
||||
# Requires the distfile to be a git repository
|
||||
:
|
||||
}
|
||||
|
||||
post_install() {
|
||||
# kernel hooks.
|
||||
vinstall ${FILESDIR}/kernel-hook-postinst 755 etc/kernel.d/post-install 20-dracut
|
||||
|
|
Loading…
Add table
Reference in a new issue